Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
08164 DIP/Input Minor Always Dec 24, 2021, 23:22 Jan 11, 2022, 17:05
Tester Cow View Status Public Platform MAME (Official Binary)
Assigned To Steve Coomber Resolution Fixed OS Windows 10/11 (64-bit)
Status [?] Resolved Driver segas32.cpp
Version 0.238 Fixed in Version 0.240 Build 64-bit
Fixed in Git Commit 7b4c7fe Github Pull Request # #9128
Summary 08164: slipstrm, slipstrmh: Third DIP Switch labeled "Unknown" freezes game
Description The third DIP Switch which is labeled "Unknown" pauses the game when turned on
Steps To Reproduce In DIP Switches, turn on the 3rd switch.
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems slipstrm, slipstrmh
Attached Files
mp4 file icon Mame 2021.12.24 - 17.17.59.01 Trim-1.mp4 (1,735,864 bytes) Dec 24, 2021, 23:26 Uploaded by Cow
Relationships
There are no relationship linked to this issue.
Notes
2
User avatar
No.19603
Steve Coomber
Tester
Dec 27, 2021, 13:29
That's an interesting find for this rare arcade game. I can confirm that the game does indeed freeze when the DIP is switched ON but strangely the sound and/or music continues. I expect this 'freeze' feature is undocumented.
User avatar
No.19674
Steve Coomber
Tester
Jan 11, 2022, 13:03
This can now be marked as resolved. Refer to the following commit: https://github.com/mamedev/mame/pull/9128/commits/834061ed08a739296273a5ba0026dfcce81e6c8c